Subject: Re: bug#55169: Can't combine window-min-height with window-height

From: Juri Linkov <[email-masked]>
Date: Tue, 03 May 2022 20:38:12 +0300

>>> BTW I do not understand well in which sense your original scenario
>>>
>>>    (pop-to-buffer (generate-new-buffer "*edit string*")
>>>                   '(display-buffer-below-selected
>>>                     (window-min-height . 10)
>>>                     (window-height . fit-window-to-buffer)))
>>>
>>> fails.  Do you mean that the window should be at least ten lines high
>>> despite of the fact that it's fit to an empty buffer?
>>
>> Exactly.  I expected that window-min-height takes precedence over window-height.
>
> We could do something like the untested attached .diff.

Thanks, I confirm that it works correctly.

> But we really should install it only if at least two or three people
> confirm that it's the expected behavior.

Do you think it's a too big change in behavior that might break some
existing configs?